searchData={"items":[{"type":"module","title":"Imprintor","doc":"Imprintor is a library for generating PDF documents from Typst templates.\n\nIt provides functions to compile Typst templates with data interpolation\nand generate PDF documents using a native Rust implementation.","ref":"Imprintor.html"},{"type":"function","title":"Imprintor.compile_to_pdf/1","doc":"Compiles a Typst template to a PDF document.\n\nTakes an `Imprintor.Config` struct containing the template configuration and\nreturns a binary containing the compiled PDF data.","ref":"Imprintor.html#compile_to_pdf/1"},{"type":"function","title":"Parameters - Imprintor.compile_to_pdf/1","doc":"* `config` - An `%Imprintor.Config{}` struct containing:\n    * Template source or file path\n    * Data for interpolation\n    * Compilation options","ref":"Imprintor.html#compile_to_pdf/1-parameters"},{"type":"function","title":"Returns - Imprintor.compile_to_pdf/1","doc":"* `{:ok, pdf_binary}` - Successfully compiled PDF as binary data\n  * `{:error, reason}` - Compilation failed with error reason","ref":"Imprintor.html#compile_to_pdf/1-returns"},{"type":"function","title":"Imprintor.typst_to_pdf/1","doc":"","ref":"Imprintor.html#typst_to_pdf/1"},{"type":"module","title":"Imprintor.Config","doc":"Configuration struct for the Imprintor document processing system.\n\nThis module defines the configuration structure used throughout the Imprintor\napplication to specify document processing parameters, including source documents,\nfonts, directories, and template data.","ref":"Imprintor.Config.html"},{"type":"module","title":"Struct Fields - Imprintor.Config","doc":"* `:source_document` - The path or identifier of the source document to process\n* `:extra_fonts` - A list of additional font files or paths to include\n* `:root_directory` - The root directory for resolving relative paths (defaults to \".\")\n* `:data` - A map containing template data and variables for document generation","ref":"Imprintor.Config.html#module-struct-fields"},{"type":"module","title":"Examples - Imprintor.Config","doc":"# Basic configuration\n    config = Imprintor.Config.new(\"template.html\")\n\n    # Configuration with template data\n    config = Imprintor.Config.new(\"invoice.html\", %{\n      customer_name: \"John Doe\",\n      amount: 1500.00\n    })\n\n    # Configuration with extra fonts and custom root directory\n    config = Imprintor.Config.new(\"report.html\", %{title: \"Annual Report\"}, [\n      extra_fonts: [\"fonts/custom.ttf\", \"fonts/bold.ttf\"],\n      root_directory: \"/path/to/project\"\n    ])","ref":"Imprintor.Config.html#module-examples"},{"type":"function","title":"Imprintor.Config.new/3","doc":"Creates a new configuration struct.","ref":"Imprintor.Config.html#new/3"},{"type":"function","title":"Parameters - Imprintor.Config.new/3","doc":"* `source_document` - The source document path or identifier (required)\n* `data` - A map containing template data and variables (optional, defaults to `%{}`)\n* `opts` - A keyword list of additional options (optional)","ref":"Imprintor.Config.html#new/3-parameters"},{"type":"function","title":"Options - Imprintor.Config.new/3","doc":"* `:extra_fonts` - List of additional font files to include (defaults to `[]`)\n* `:root_directory` - Root directory for resolving relative paths (defaults to `\".\"`)","ref":"Imprintor.Config.html#new/3-options"},{"type":"function","title":"Returns - Imprintor.Config.new/3","doc":"Returns a `%Imprintor.Config{}` struct with the specified configuration.","ref":"Imprintor.Config.html#new/3-returns"},{"type":"function","title":"Examples - Imprintor.Config.new/3","doc":"# Minimal configuration\n    config = Imprintor.Config.new(\"document.html\")\n\n    # With template data\n    config = Imprintor.Config.new(\"invoice.html\", %{\n      invoice_number: \"INV-001\",\n      customer: \"Acme Corp\",\n      items: [\n        %{name: \"Widget\", price: 25.00, quantity: 2},\n        %{name: \"Gadget\", price: 15.00, quantity: 1}\n      ]\n    })\n\n    # With all options\n    config = Imprintor.Config.new(\n      \"report.html\",\n      %{title: \"Q4 Report\", year: 2024},\n      extra_fonts: [\"fonts/arial.ttf\"],\n      root_directory: \"/projects/reports\"\n    )","ref":"Imprintor.Config.html#new/3-examples"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}